Bug 1044099 - (CVE-2013-6442) CVE-2013-6442 samba: smbcacls will delete ACL lists in certain circumstances
CVE-2013-6442 samba: smbcacls will delete ACL lists in certain circumstances
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
impact=moderate,public=20140312,repor...
: Security
Depends On: 1072804 1073356 1073913 1075429
Blocks: 1044102
  Show dependency treegraph
 
Reported: 2013-12-17 14:34 EST by Vincent Danen
Modified: 2015-11-25 05:01 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-04-10 01:44:52 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Vincent Danen 2013-12-17 14:34:41 EST
Samba upstream reports that:

Samba versions 4.0.0 and above have a flaw in the smbcacls command. If
smbcacls is used with the "-C|--chown name" or "-G|--chgrp name"
command options it will remove the existing ACL on the object being
modified, leaving the file or directory unprotected.

This issue can be worked around by using chown or similar tools to modify owners on files and directories.

Upstream bug: https://bugzilla.samba.org/show_bug.cgi?id=10327
Comment 5 Huzaifa S. Sidhpurwala 2014-03-12 02:12:19 EDT
Public via:

http://www.samba.org/samba/security/CVE-2013-6442
Comment 6 Huzaifa S. Sidhpurwala 2014-03-12 02:14:09 EDT
Created samba tracking bugs for this issue:

Affects: fedora-all [bug 1075429]
Comment 7 Fedora Update System 2014-03-15 11:15:23 EDT
samba-4.1.6-1.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 8 Huzaifa S. Sidhpurwala 2014-03-24 00:51:34 EDT
Acknowledgements:

Red Hat would like to thank the Samba project for reporting this issue.
Upstream acknowledges Noel Power as the original reporter.
Comment 9 Fedora Update System 2014-03-27 23:18:26 EDT
samba-4.0.16-1.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 10 errata-xmlrpc 2014-04-09 13:43:31 EDT
This issue has been addressed in following products:

  Red Hat Enterprise Linux 6

Via RHSA-2014:0383 https://rhn.redhat.com/errata/RHSA-2014-0383.html

Note You need to log in before you can comment on or make changes to this bug.